moor_generator 4.6.0+1
moor_generator: ^4.6.0+1 copied to clipboard

Dev-dependency to generate table and dataclasses together with the moor package.

Use this package as an executable

Install it

You can install the package from the command line:

dart pub global activate moor_generator

Use it

The package has the following executables:

$ moor_generator

Use this package as a library

Depend on it

Run this command:

With Dart:

 $ dart pub add moor_generator

This will add a line like this to your package's pubspec.yaml (and run an implicit dart pub get):

dependencies:
  moor_generator: ^4.6.0+1

Alternatively, your editor might support dart pub get. Check the docs for your editor to learn more.

Import it

Now in your Dart code, you can use:

import 'package:moor_generator/moor_generator.dart';
50
likes
80
pub points
94%
popularity

Publisher

simonbinder.eu

Dev-dependency to generate table and dataclasses together with the moor package.

Homepage
Repository (GitHub)
View/report issues

Documentation

API reference

License

MIT (LICENSE)

Dependencies

build, drift_dev, moor

More

Packages that depend on moor_generator